---
updatedAt: 2025-09-15T09:14:12.000Z
agentTools:
  siteIndex: https://developer.jamf.com/llms.txt
  projectIndex: https://developer.jamf.com/jamf-pro/v11.14.0/llms.txt
---

# Get Jamf Teacher app settings history

Gets Jamf Teacher app settings history

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Jamf Pro API",
    "termsOfService": "https://www.jamf.com/developer-resources/api-license-agreement",
    "version": "11.14.0"
  },
  "servers": [
    {
      "url": "https://yourServer.jamfcloud.com/api"
    }
  ],
  "x-readme": {
    "samples-languages": [
      "curl",
      "swift",
      "ruby",
      "python"
    ],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "security": [
    {
      "Bearer": []
    },
    {
      "ApiClient": []
    },
    {
      "BasicAuth": [
        "/v1/auth/token"
      ]
    }
  ],
  "paths": {
    "/v1/teacher-app/history": {
      "get": {
        "tags": [
          "teacher-app"
        ],
        "summary": "Get Jamf Teacher app settings history\n",
        "description": "Gets Jamf Teacher app settings history\n",
        "parameters": [
          {
            "$ref": "#/components/parameters/page"
          },
          {
            "$ref": "#/components/parameters/page-size"
          },
          {
            "$ref": "#/components/parameters/sort"
          },
          {
            "$ref": "#/components/parameters/filter"
          }
        ],
        "responses": {
          "200": {
            "description": "Details of Jamf Teacher app settings history were found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HistorySearchResults"
                }
              }
            }
          }
        },
        "x-required-privileges": [
          "Read Teacher App Settings"
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "HistorySearchResults": {
        "type": "object",
        "properties": {
          "totalCount": {
            "minimum": 0,
            "type": "integer",
            "example": 1
          },
          "results": {
            "minItems": 0,
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/ObjectHistory"
            }
          }
        }
      },
      "ObjectHistory": {
        "type": "object",
        "properties": {
          "id": {
            "minimum": 1,
            "type": "integer",
            "example": 1
          },
          "username": {
            "type": "string",
            "example": "admin"
          },
          "date": {
            "type": "string",
            "example": "2019-02-04T21:09:31.661Z"
          },
          "note": {
            "type": "string",
            "example": "Sso settings update"
          },
          "details": {
            "type": "string",
            "nullable": true,
            "example": "Is SSO Enabled false\\nSelected SSO Provider"
          }
        }
      }
    },
    "parameters": {
      "page": {
        "name": "page",
        "in": "query",
        "required": false,
        "style": "form",
        "explode": true,
        "schema": {
          "type": "integer",
          "default": 0
        }
      },
      "page-size": {
        "name": "page-size",
        "in": "query",
        "required": false,
        "style": "form",
        "explode": true,
        "schema": {
          "type": "integer",
          "default": 100
        }
      },
      "sort": {
        "name": "sort",
        "in": "query",
        "description": "Sorting criteria in the format: property:asc/desc. Default sort order is descending. Multiple sort criteria are supported and must be entered on separate lines in Swagger UI. In the URI the 'sort' query param is not duplicated for each sort criterion, e.g., ...&sort=name:asc,date:desc. Fields that can be sorted: status, updated",
        "required": false,
        "style": "form",
        "explode": true,
        "schema": {
          "type": "array",
          "items": {
            "type": "string"
          },
          "default": []
        }
      },
      "filter": {
        "name": "filter",
        "in": "query",
        "description": "Query in the RSQL format, allowing to filter results. Default filter is empty query - returning all results for the requested page. Fields allowed in the query: status, updated, version This param can be combined with paging and sorting. Example: filter=username!=admin and details==*disabled* and date<2019-12-15",
        "required": false,
        "style": "form",
        "explode": true,
        "schema": {
          "type": "string",
          "default": ""
        }
      }
    },
    "securitySchemes": {
      "Bearer": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      },
      "BasicAuth": {
        "type": "http",
        "description": "Basic auth is used only for obtaining bearer tokens from the /v1/auth/token endpoint",
        "scheme": "basic"
      },
      "ApiClient": {
        "type": "oauth2",
        "description": "Jamf Pro API Roles and Clients provide a client ID and secret for obtaining access tokens using the OAuth2 client_credentials grant type",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "/api/v1/oauth/token",
            "scopes": {}
          }
        }
      }
    }
  },
  "x-si-base": "swagger.json",
  "x-github-repo": "jamf/Jamf-Pro-API-Schema",
  "x-github-sha": "5f8b85a61ce288205f7b44d478a117fb1acea0c6"
}
```